数据提供商: DataForSEO
使用 DataForSEO 将 Google 关键词分类到相应的主题类别中
每次调用 $0.012 起在 30 秒内响应
查找列表中每个关键词属于哪一类Google产品或服务,且这一查找是针对某种特定语言而言的。每个提供的关键词对应一行,其中包含该关键词的分类代码。关键词以及所使用的语言共同构成了全部输入内容。每次调用发送一次请求,按供应商的价目表计费;空结果集会标记为无结果。
如何调用
第 1 步接入
首次使用时,将提示词粘贴到 Agent 对话中。Skill 会自动安装 CLI 并完成登录。无法使用 shell 的 Agent 可通过 MCP 接入。
接入
set up https://glasser.ai/SKILL.md
Show me how to use the DataForSEO endpoint /v3/dataforseo_labs/google/categories_for_keywords/live on Glasser.bash
glasser run -p dataforseo -e '/v3/dataforseo_labs/google/categories_for_keywords/live' -i '{"keywords":["dentist new york","pizza brooklyn","car dealer los angeles"],"language_code":"en"}' --endpoint-version 2使用接口版本 2。运行前请确认当前价格,并先在开始使用页面安装和登录。
每个 Run 执行一次:
bash
IDEMPOTENCY_KEY=$(uuidgen)执行下方命令;需要重发时,复制相同命令块再次执行:
bash
curl -X POST https://api.glasser.ai/v1/runs \
-H "Authorization: Bearer gl_..." \
-H "Idempotency-Key: $IDEMPOTENCY_KEY" \
-H "Content-Type: application/json" \
-d '{"provider":"dataforseo","endpoint":"/v3/dataforseo_labs/google/categories_for_keywords/live","input":{"keywords":["dentist new york","pizza brooklyn","car dealer los angeles"],"language_code":"en"},"endpoint_version":2}'重发时请使用相同的 Idempotency-Key:第二次发送只会读取首个 Run。新的幂等键会创建新的 Run 并产生新的费用。此处使用接口版本 2,运行前请确认当前价格。
第 2 步尝试一个具体任务
为商品或主题选择分类时,可以审阅可用选项,找到最接近的分类。
复制此提示词到你的 Agent,为商品或主题查找分类。
提示词
Use dataforseo:/v3/dataforseo_labs/google/categories_for_keywords/live on Glasser.
Find the category that best matches my product or topic in the returned list.接口结构
json
{
"type": "object",
"$schema": "http://json-schema.org/draft-07/schema#",
"required": [
"keywords"
],
"properties": {
"tag": {
"type": "string",
"maxLength": 2048,
"minLength": 1
},
"keywords": {
"type": "array",
"items": {
"type": "string",
"maxLength": 2048,
"minLength": 1
},
"maxItems": 100,
"minItems": 1
},
"language_code": {
"type": "string",
"maxLength": 2048,
"minLength": 1
},
"language_name": {
"type": "string"
}
},
"additionalProperties": false
}json
{
"keywords": [
"dentist new york",
"pizza brooklyn",
"car dealer los angeles"
],
"language_code": "en"
}此接口未发布输出结构。你将收到数据提供商的原始响应正文,我们不会承诺无法保证的输出格式。
计费说明
| 基础费用 | 有无匹配数据均按此价格收费。 | $0.012 |
|---|---|---|
| 每行 | 按返回的每行计费。 | $0.00012 |
| 每次运行的费用上限 | 总费用不会超过此金额。 | $0.024 |
| 数据提供商错误 | 数据提供商未能响应。 | $0.00 |
| 运行超时 | 运行超过时间限制。 | $0.00 |
| 内部错误 | 内部错误导致运行未能完成。 | $0.00 |